version: '3.7'
services:
  app:
    environment:
      APP_DB_HOST: db
      APP_DB_DATABASE: insertdatabasenamehere
      APP_DB_USER: root
      APP_DB_PASSWORD: example
  db:
    build: db
    image: ${IMAGE_DB:-local/insertprojectname/db}
    command: mysqld --sql_mode="" --max_allowed_packet="1073741824"
    environment:
      MYSQL_ROOT_PASSWORD: example
      MYSQL_DATABASE: insertdatabasenamehere
  adminer:
    image: adminer
    environment:
      ADMINER_DEFAULT_SERVER: db
